> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/api-reference/reference/shipping-fees.md).

# Shipping Fees

## GET /shippingfees/

> List all shipping fees

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/shippingfees/":{"get":{"tags":["Shipping fees"],"summary":"List all shipping fees","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"List all shipping fees","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingFeesResponse"}}}},"400":{"description":"Shipping feature not enabled.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Authentication failure","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ShippingFeesResponse":{"type":"array","items":{"$ref":"#/components/schemas/ShippingFeeResponse"}},"ShippingFeeResponse":{"type":"object","properties":{"Name":{"type":"string"},"Code":{"type":"string"},"Amount":{"type":"string"},"Currency":{"type":"string"},"ApplyTo":{"type":"string"},"Type":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /shippingfees/{ShippingFeeCode}/

> Get shipping fee

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/shippingfees/{ShippingFeeCode}/":{"get":{"tags":["Shipping fees"],"summary":"Get shipping fee","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ShippingFeeCode","in":"path","description":"Unique code which represents a shipping fee","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get shipping fee","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingFeeResponse"}}}},"400":{"description":"Shipping fee code not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Authentication failure","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ShippingFeeResponse":{"type":"object","properties":{"Name":{"type":"string"},"Code":{"type":"string"},"Amount":{"type":"string"},"Currency":{"type":"string"},"ApplyTo":{"type":"string"},"Type":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /shippingmethods

> Search shipping methods

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/shippingmethods":{"get":{"tags":["Shipping fees"],"summary":"Search shipping methods","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Name","in":"query","description":"Shipping method name","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Codes","in":"query","description":"Shipping methods codes","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Countries","in":"query","description":"Shipping methods countries","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Active","in":"query","description":"Shipping method status","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"Page","in":"query","description":"Page number","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"Limit","in":"query","description":"Number of results on a page","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Shipping methods object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchShippingMethods"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"SearchShippingMethods":{"type":"object","properties":{"Items":{"type":"array","items":{"$ref":"#/components/schemas/SearchShippingMethodsItems"}},"Pagination":{"$ref":"#/components/schemas/Pagination"}}},"SearchShippingMethodsItems":{"type":"object","properties":{"Name":{"type":"string"},"Code":{"type":"string"},"TrackingUrl":{"type":"string"},"BasePrice":{"type":"integer"},"Currency":{"type":"string"},"Active":{"type":"boolean"},"Availability":{"type":"string"},"Countries":{"type":"array","items":{"$ref":"#/components/schemas/SearchShippingMethodsCountries"}},"Surcharge":{"type":"array","items":{"$ref":"#/components/schemas/SearchShippingMethodsSurcharge"}}}},"SearchShippingMethodsCountries":{"type":"object","properties":{"CountryCode":{"type":"string"},"Surcharge":{"type":"string"}}},"SearchShippingMethodsSurcharge":{"type":"object","properties":{"Type":{"type":"string"},"From":{"type":"number"},"To":{"type":"integer"},"Amount":{"type":"integer"},"ApplyTo":{"type":"string"}}},"Pagination":{"type":"object","properties":{"Page":{"type":"integer","description":"Number of pages used for displaying the results."},"Limit":{"type":"integer","description":"Limitation of the result numbers."},"Count":{"type":"integer","description":"Total number of results."}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## PUT /orders/0/shipping/

> Retrieve shipping price

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/orders/0/shipping/":{"put":{"tags":["Shipping fees"],"summary":"Retrieve shipping price","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_2"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{}}},"500":{"description":"OK","content":{"application/json":{}}}}}}},"components":{"schemas":{"body_2":{"type":"object","properties":{"BillingDetails":{"$ref":"#/components/schemas/orders0shipping_BillingDetails"},"CouponCodes":{"type":"array","items":{"nullable":true}},"Currency":{"type":"string"},"DeliveryDetails":{"$ref":"#/components/schemas/orders0shipping_BillingDetails"},"Items":{"type":"array","items":{"$ref":"#/components/schemas/orders0shipping_Items"}}}},"orders0shipping_BillingDetails":{"type":"object","properties":{"CountryCode":{"type":"string"}}},"orders0shipping_Items":{"type":"object","properties":{"Code":{"type":"string"},"Quantity":{"type":"number"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/api-reference/reference/shipping-fees.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
